Resume an inbox
curl --request POST \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/trigger-inbox/v1/inboxes/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"subscription": {
"app_key": "<string>",
"action_key": "<string>",
"inputs": {},
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"key": "<string>",
"name": "<string>",
"paused_reason": "user",
"notification_url": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"subscription": {
"app_key": "<string>",
"action_key": "<string>",
"inputs": {},
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"key": "<string>",
"name": "<string>",
"paused_reason": "user",
"notification_url": "<string>"
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}Inboxes
Resume an inbox
Resume an inbox for the authenticated user resulting in messages collection being resumed.
POST
/
trigger-inbox
/
v1
/
inboxes
/
{id}
/
resume
Resume an inbox
Authorizations
OAuth 2.0 authentication.
Path Parameters
Response
An inbox: a durable, user-scoped queue for a trigger subscription,
identified by its natural key.
An inbox: a durable, user-scoped queue for a trigger subscription,
identified by its natural key.
The unique identifier for the inbox.
Creation timestamp in ISO 8601 format.
The status of the inbox.
Trigger subscription configuration for an inbox.
Show child attributes
Show child attributes
The inbox's natural key. Set at creation, immutable, unique per user.
Maximum string length:
100Deprecated alias for key. Use key instead.
Maximum string length:
100The reason the inbox was paused, if applicable.
user- userauthentication- authenticationauthentication_access_revoked- authentication_access_revokedpartner_revoked- partner_revokedsubscribe_failed- subscribe_failedmigrate_failed- migrate_failedabandoned- abandonedunknown- unknownupstream_failures- upstream_failures
Available options:
user, authentication, authentication_access_revoked, partner_revoked, subscribe_failed, migrate_failed, abandoned, unknown, upstream_failures URL to POST notifications to when messages become available.
Maximum string length:
2048Last modified on August 20, 2026
Was this page helpful?